Page MenuHomePhabricator

Require email on iDEAL form
Closed, ResolvedPublic1 Estimate Story Points

Description

Megan and I were testing some forms and noticed the iDEAL form does not require the donor to enter their name or email. This explains why DS often sees what looks like a dummy email for a lot of iDEAL donations. It makes it hard for DS to find problems, and means we're losing email addresses for future appeals.

This is low priority right now, but high before the NL campaign starts.

Related Objects

Event Timeline

CCogdill_WMF assigned this task to atgo.
CCogdill_WMF raised the priority of this task from to Medium.
CCogdill_WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2015, 8:00 PM
CCogdill_WMF renamed this task from Require name and email on iDEAL form to Require email on iDEAL form.Apr 14 2015, 8:01 PM
CCogdill_WMF updated the task description. (Show Details)
CCogdill_WMF set Security to None.
atgo removed atgo as the assignee of this task.Apr 15 2015, 10:30 PM
MBeat33 raised the priority of this task from Medium to High.Mar 29 2016, 9:36 PM
MBeat33 edited subscribers, added: MBeat33; removed: Juro2351.

We are still seeing issues from not requiring any personal info from iDEAL donors. In addition to losing donor email addresses for future appeals, it points the privacy-oriented towards one method over another, and complicates confirming donations to our donors. A sample transaction is Ingenico 5194496965, from a donor wanting to confirm that their donation was not recurring. As NL allows tax deductions we should prioritize sending TY emails to donors automatically. Can we modify the form so that it won't transmit an amount to Ingenico without something in those fields?

DStrine set the point value for this task to 1.

Is this fixed with @awight's latest deploy?

@Ejegg Looks to me like it is. I'm getting red text errors when leaving out email or any other contact info, and the form won't continue until fixed.

Ejegg closed this task as Resolved.Apr 11 2016, 4:26 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:48 PM